rte_table_action_encap_params(3)

NAME
rte_table_action_encap_params

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

enum rte_table_action_encap_type type

Detailed Description

Encap action parameters (per table rule).

Definition at line 544 of file rte_table_action.h.

Field Documentation

  enum rte_table_action_encap_type type
Encapsulation type.

Definition at line 546 of file rte_table_action.h.

  struct rte_table_action_encap_ether_params ether
Only valid when type is set to Ether.

Definition at line 550 of file rte_table_action.h.

  struct rte_table_action_encap_vlan_params vlan
Only valid when type is set to VLAN.

Definition at line 553 of file rte_table_action.h.

  struct rte_table_action_encap_qinq_params qinq
Only valid when type is set to QinQ.

Definition at line 556 of file rte_table_action.h.

  struct rte_table_action_encap_mpls_params mpls
Only valid when type is set to MPLS.

Definition at line 559 of file rte_table_action.h.

  struct rte_table_action_encap_pppoe_params pppoe
Only valid when type is set to PPPoE.

Definition at line 562 of file rte_table_action.h.

  struct rte_table_action_encap_vxlan_params vxlan
Only valid when type is set to VXLAN.

Definition at line 565 of file rte_table_action.h.

  struct rte_table_encap_ether_qinq_pppoe qinq_pppoe
Only valid when type is set to QinQ_PPPoE.

Definition at line 568 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.